Subject: Re: linux-next: Tree for Nov 1 (xen_swiotllb)

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Fri, 1 Nov 2013 15:43:24 -0400

On Fri, Nov 01, 2013 at 11:16:26AM -0700, Randy Dunlap wrote:
> On 11/01/13 01:11, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20131031:
> > 
> > The squashfs tree gained a build failure so I used the version from
> > next-20131031.
> > 
> > The block tree gained conflicts against the f2fs, aio-direct and Linus'
> > trees and a build failure and generated several warnings so I used the
> > version from next-20131031.
> > 
> > The dt-rh tree gained a conflict against the powerpc tree.
> > 
> > The kvm-ppc tree gained a conflict against the powerpc tree.
> > 
> > The leds tree gained a conflict against the powerpc tree.
> > 
> > The tty tree lost its build failure.
> 
> 
> on x86_64, when CONFIG_PCI is not enabled:
> 
> arch/x86/built-in.o: In function `pci_xen_swiotlb_init_late':
> (.text+0x102cc): undefined reference to `pci_request_acs'
> arch/x86/built-in.o: In function `pci_xen_swiotlb_init':
> (.init.text+0x3f6c): undefined reference to `pci_request_acs'

Stefano,

Please fix that. I think it is commit 83862ccfc0a03212fde43b4ac29c28381828768b
Author: Stefano Stabellini <[email-masked]>
Date:   Thu Oct 10 13:40:44 2013 +0000

    xen/arm,arm64: enable SWIOTLB_XEN

that is causing this. Is it safe to add:

       depends on PCI

back on it?

Thanks.

> -- 
> ~Randy